(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function writeSDKFunction(instanceName, paramsArray, functionPath) {
        const functionString = `
  (${paramsArray.join(':any, ')} ${paramsArray.length > 0 ? ':any' : ''})=>{
    return new Promise(async (resolve:any, reject:any) => {
      // Your async function code here
      try {
        const response = await axios({
          method: "post",
          url: "http://localhost:3003/api/${instanceName}${functionPath}",
          data: {${paramsArray.join(',')}},
        });

        resolve(response.data);
      } catch (error:any) {
        reject(error.message);
      }
    });
  }
  `;
        return functionString;
    }
    exports.default = writeSDKFunction;
});
